package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF7A8 extends MwfRequest<MWF7A8, MWF7A8Response> {

    @Parameter(name = "ChannelId")
    MWF7A8 channelId(String channelId);
    @Parameter(name = "ProdPackageKey")
    MWF7A8 prodPackageKey(Long prodPackageKey);
    @Parameter(name = "RWS_IDsForProcessing")
    MWF7A8 rWSIDsForProcessing(java.util.List<MWF7A8RWSIDsForProcessing> rWSIDsForProcessing);
}
